;;; put this in your GnuEmacs startup file  '~/.emacs' .
;;; or autoload it from some other file. -wsr
(global-set-key "\e/" 'gid) ; sort of Meta-.

(defun gid (command)
  "Run gid, with user-specified args, and collect output in a buffer.
While gid runs asynchronously, you can use the \\[next-error] command
to find the text that gid hits refer to."
  (interactive (list (read-input "Run gid (with args): "
				 (word-around-point))))
  (compile1 (concat "gid " command)
	    "No more gid hits" "gid"))

(defun word-around-point ()
  "return the word around the point as a string"
  (save-excursion
    (let (beg)
      (if (not (looking-at "\\<"))
	  (forward-word -1))
      (setq beg (point))
      (forward-word 1)
      (buffer-substring beg (point)))))
